ModelObject (CMDB Model API)
Keywords: com.collation.platform.model.ModelObject interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model
Interface ModelObject

All Superinterfaces:
  java.io.Serializable

All Known Subinterfaces:
  AbstractResource, Accepts, AccessCollection, AccessedVia, AccessedViaAsPrimary, AccessEntry, Accesses, Account, Acl, AclFunction, Action, ActiveDirectory, Activity, AdditionalFields, AddressSpace, AdminInfo, Administers, AdminProcess, Advertises, Affects, Agent, AgentConfiguration, AgentConfiguration, AgentManager, Aix, AixKernelDriver, AixUnitaryComputerSystem, AJP13JettyConnector, AllocatedTo, ApacheAllowCONNECTPort, ApacheGlobalSSLSettings, ApacheModule, ApacheProxyServer, ApacheServer, ApacheSSLSettings, ApacheVirtualHost, ApacheWebContainer, AppClientModule, AppConfig, AppDescriptor, AppDescriptorCapture, Application, ApplicationComposite, ApplicationDef, ApplicationDefinition, ApplicationDeploymentPlan, ApplicationPropagatorConfiguration, ApplicationTemplate, AppliesFrom, AppliesTo, AppProcess, AppProtocol, AppServer, AppServerCluster, AppServerClusterPropagatorConfiguration, AppServerFunctionalGroup, AppServerPropagatorConfiguration, AppServerTemplate, ArtsAgentConfiguration, AssignedTo, Assigns, AssignsTo, Association, AttributePrioDataSourceIds, AttributePrioDataSources, AttributePrioDefinitions, AuditEntry, AuthorizedBy, Authorizes, BasedOn, BasedOnExtent, BidiProfile, BigIPRealServer, BigIPRealServerGroup, BigIPVip, BigIPVipFunction, BigIPVirtualService, BigIPVlan, BindAddress, BindsAsPrimary, BindsTo, Board, BootsFrom, Bridge, BusinessProcess, BusinessProcessComposite, BusinessSchedule, BusinessService, BusinessServiceComposite, BusinessServicePropagatorConfiguration, BusinessSystem, Capability, CapabilityGroup, Card, CDMAttribute, CDMInfo, CDMQuery, CertificateFile, CGIScript, Chassis, Chip, CICSFile, CICSProgram, CICSRegion, CICSTransaction, CIMOM, CIMSystem, CiscoPixComputerSystem, CiscoTelnetAgentConfiguration, CiscoWorksAgentConfiguration, CitrixAccountAuthority, CitrixAppFolder, CitrixApplication, CitrixFarm, CitrixFolder, CitrixGroup, CitrixLicense, CitrixLicensePool, CitrixServer, CitrixServerFolder, CitrixUser, CitrixZone, ClassPathEntry, CMDBDomain, CmdbMeta, CMRProxy, Collection, CommandForwarderConfiguration, CommunityServer, Composite, CompositeAttributeDef, CompositeDef, ComputerSystem, ComputerSystemCluster, ComputerSystemFunctionalGroup, ComputerSystemPropagatorConfiguration, ComputerSystemTemplate, ComputerSystemZoneMember, ConfigCapture, ConfigDirective, ConfigFile, Configuration, ConfiguredUsing, ConnectedTo, ConnectorModule, Connects, Constraint, ConstraintFilter, ContactInfo, ContactPurpose, ContainerConstraint, ContainerInstance, Contains, ControlledBy, ControlledBy, Controller, Controls, ControlsAccess, ControlsAccessFrom, ControlsAccessTo, ControlSoftware, CPU, CPUResourcePool, CustomBindAddress, Customer, Darwin, DarwinUnitaryComputerSystem, Database, DatabaseModule, DatabaseServer, DataFile, DataPermission, DataServiceCapabilities, DataServiceLevelObjectiveGroup, DataStoreResourcePool, Db2AdminServer, Db2Alias, Db2BufferPool, Db2ConfigValue, Db2Container, Db2Database, Db2DatabaseConfigValue, DB2DataSharingGroup, Db2Instance, Db2InstanceConfigValue, Db2Module, Db2Schema, Db2Server, Db2ServerProcess, DB2Subsystem, Db2System, Db2SystemConfigValue, Db2TableSpace, DefaultAccessEntry, DefinedUsing, DefinitiveSoftwareLibrary, Dependency, DeployedOn, DeployedTo, DeployedUsing, Deployment, DerivedFrom, DesktopComposite, Directory, DirectoryAssistance, DirectoryCataloger, DirectoryInfo, DiscoveryProfile, DiscoveryRun, DiskDrive, DiskPartition, DisplayNameRule, DNSLookup, DNSResolveEntry, DNSSAP, DNSService, Document, DomainCatalog, DominoApplication, DominoCluster, DominoConnection, DominoDatabase, DominoDomain, DominoIIOPServer, DominoLibrary, DominoNamingContext, DominoReplicas, DominoSecurity, DominoServer, DominoServerAgentConfiguration, DominoTransactionLogging, DonatedTo, Dos, DosUnitaryComputerSystem, DynamicSystemDomain, EJB, EJBContainer, EJBModule, EmbeddedTomcatWebContainer, EntityBean, Enumeration, EnumerationType, EnumerationValue, Evaluates, ExchangeAdministrativeGroup, ExchangeConnector, ExchangeDSAccessDomainController, ExchangeFolderTree, ExchangeLink, ExchangeMailbox, ExchangeMailboxStore, ExchangeProtocolVirtualServer, ExchangePublicFolder, ExchangePublicFolderStore, ExchangeQueue, ExchangeRoutingGroup, ExchangeScheduleInterval, ExchangeServer, ExchangeStorageGroup, ExecutableFile, Exports, Exposes, Fabric, Fan, FarmMemberService, FCPort, FCSwitch, FCVolume, Federates, FileCapture, FileGrabberAgentConfiguration, FileLocation, FileSystem, FileSystemContent, FileSystemExport, FileSystemService, Filter, FilterPreference, FilterSet, Firewall, ForwarderConfiguration, ForwardsVia, Fqdn, FreeBSD, FreeBSDUnitaryComputerSystem, Fulfills, Function, FunctionalGroup, GenericAgentConfiguration, GenericAppServer, GenericAppServerCluster, GenericComputerSystem, GenericDatabaseServer, GenericFirewall, GenericJ2EEServer, GenericLoadBalancer, GenericRouter, GenericServerProcess, GenericService, GenericSwitch, GenericWebServer, Geography, GivesDetails, HAIL, HAILSingletonController, HAJNDI, HardwareComposite, HASessionState, HMC, HomogeneousCollection, HostBusAdaptor, HostConstraint, HostedCollection, HostedDependency, HostInstance, HpUx, HpUxKernelDriver, HpUxUnitaryComputerSystem, HTTPConnector, HTTPFilterSpecialtyServer, I5GroupProfile, I5OperatingSystem, I5OSSoftwareComponent, I5Profile, I5UserProfile, IBMHTTPServer, IIOPConfig, IIsModule, IIsParameter, IIsWebServer, IIsWebService, IIsWebVirtualDir, IMAPConfig, Implements, ImplicitCollection, Imports, IMSDatabase, IMSProgram, IMSSubsystem, IMSSysplexGroup, IMSTransaction, IncidentRecordProxy, IncompatibleWith, InfrastructureApplicationComposite, InstalledOn, InstanceViewConstruct, Interface, InternetClusterManager, InvokedThrough, IpAddress, IpAddressScope, IpDependency, IpInterface, IpInterfacePropagatorConfiguration, IPlanetJSP, IPlanetJVMSettings, IPlanetProxyServer, IPlanetServer, IPlanetServlet, IPlanetSSLSettings, IPlanetVirtualHost, IPlanetWebContainer, IpNetwork, IpNetworkPropagatorConfiguration, IpNetworkScope, IpNetworkViewConstruct, IpRangeScope, IpRangeViewConstruct, IpRoute, ipso, IPSOUnitaryComputerSystem, IpV4Address, IpV6Address, IsActuallyCausedBy, IsCausedBy, IsProbablyCausedBy, IsReportedToBeCausedBy, ITSystem, IVM, J2EEApplication, J2EEComponent, J2EEDeployedObject, J2EEDomain, J2EEModule, J2EEResource, J2EEServer, J2EEWebContainer, JavaMail, JavaProcessPool, JavaRuntimeProcess, JavaServerProcess, JBossCluster, JBossConnectorModule, JBossDestination, JBossDestinationManager, JBossDomain, JBossEJB, JBossEJBModule, JBossFilePM, JBossHTTPInvocationLayer, JBossIL, JBossInvocationLayer, JBossJ2EEApplication, JBossJDBC2PM, JBossJMSServer, JBossJNDIService, JBossJVMInvocationLayer, JBossMailService, JBossManagedConnectionFactory, JBossManagedConnectionPool, JBossMessageCache, JBossOIL, JBossPersistenceManager, JBossResourceAdaptor, JBossRMIInvocationLayer, JBossRollingLoggedPM, JBossServer, JBossServlets, JBossTransactionCM, JBossWebModule, JCAConnection, JCAConnectionFactory, JCAConnectionPool, JCAManagedConnectionFactory, JDBC, JDBCConnection, JDBCConnectionPool, JDBCDataSource, JDBCDriver, JettyHTTPConnector, JettyVirtualHosts, JettyWebContainer, JMS, JMSConnection, JMSEndpoint, JMSSession, JNDI, JSP, JTA, JVM, JVMContainer, KernelDriver, L2Interface, LDAPConfig, LDAPSAP, LDAPService, LegacySystem, Linux, LinuxKernelDriver, LinuxRPM, LinuxUnitaryComputerSystem, LoadBalancer, LoadBalances, LocalFileSystem, LocatedAt, Locates, LogicalConnection, LogicalContent, LogicalDevice, LogicalElement, LogicalFile, LotusConfig, LPAR, MacOS, MacOSKernelDriver, MainframeComposite, ManagedElement, ManagedSystemElement, ManagedVia, Management, ManagementSoftwareSystem, Manages, MediaAccessDevice, MeetingServer, MemberOf, Memory, MemoryResourcePool, MessageDrivenBean, ModuleCapture, ModuleDefinition, ModuleMapping, Monitor, MonitorConfiguration, Monitors, MQAliasQueue, MQApiExit, MQApiExitCommons, MQApiExitLocal, MQApiExitTemplates, MQAuthInfo, MQBufferPool, MQChannel, MQClientConnectionChannel, MQCluster, MQClusterReceiverChannel, MQClusterSenderChannel, MQInstallableService, MQInstallation, MQListener, MQLocalQueue, MQModelQueue, MQNameList, MQNetBIOSListener, MQPageSet, MQProcess, MQQueue, MQQueueManager, MQQueueSharingGroup, MQReceiverChannel, MQRemoteQueue, MQRequesterChannel, MQSenderChannel, MQServerChannel, MQServerConnectionChannel, MQService, MQServiceComponent, MQSNAListener, MQSPXListener, MQStorageClass, MQSubsystem, MQTCPListener, MSSAccessInfo, MSSObjectLink, MySAPABAPApplicationServer, MySAPCluster, MySAPClusterNode, MySAPDb2Instance, MySAPJ2EEEngineInstance, MySAPJavaCentralSystem, MySAPOracleInstance, MySAPSqlServer, NamingContext, NamingRule, NamingRuleAttribute, NetBIOSProtocolEndpoint, Netware, NetwareUnitaryComputerSystem, NetworkAdapterResourcePool, Networks, NetworkService, NFSExport, NFSFileSystem, NFSSAP, NFSService, NotesMail, NSAPIPlugin, ObjectAttribute, ObjectClass, ObjectID, Objective, ObjectiveGroup, ObjectRediscoveryInfo, Obsoletes, OccursBefore, OpenVms, OpenVmsFileSystem, OpenVmsUnitaryComputerSystem, OperatingSystem, Operation, OracleAgentConfiguration, OracleAppCluster, OracleAppConnectorModule, OracleAppDomain, OracleAppEJBModule, OracleAppHTTPServer, OracleAppJ2EEApplication, OracleAppJ2EEServer, OracleAppJ2EEWebSite, OracleAppJDBCConnectionPool, OracleAppJDBCDataSource, OracleAppJDBCDriver, OracleAppJMSDestination, OracleAppJMSServer, OracleAppJSPContainer, OracleAppJTAResource, OracleAppProcessManager, OracleAppResourceAdapter, OracleAppServlet, OracleAppWebModule, OracleBackgroundProcess, OracleControlFile, OracleDatabase, OracleDataFile, OracleDBLink, OracleInitValue, OracleInstance, OracleListener, OracleMetadata, OracleModule, OracleRedoLogFile, OracleSchema, OracleSchemaDetail, OracleSchemaProps, OracleSegment, OracleServer, OracleServerProcess, OracleSGAValue, OracleTableSpace, Organization, OrganizationalEntity, OtherConfig, OtherDatabase, OtherPhysicalPackage, Owns, PackageDefinition, Parameter, ParamMap, ParamTask, ParamTaskData, ParamTaskDataInstance, ParamTaskRuntime, ParamTaskRuntimeData, ParamValue, Partner, Performs, Permission, Person, PersonRole, PhysicalComponent, PhysicalConnector, PhysicalElement, PhysicalFrame, PhysicalLink, PhysicalLocation, PhysicallyContains, PhysicalMedia, PhysicalPackage, PhysicalTape, PluggedInto, PluginConfiguration, PluginDefinition, PluginOsMapping, POPConfig, PortScanAgentConfiguration, PowerSupply, Preference, Printer, PrinterQueue, PrivateKeyFile, Probe, ProbeScript, ProbeTransaction, ProcessContainer, ProcessFileSystemMapping, ProcessPool, ProductModelObject, ProfileAccessEntry, PropagatorConfiguration, Property, ProtocolController, ProtocolEndpoint, Provides, Purpose, Rack, Realizes, RealizesExtent, RealServer, RealServerGroup, Rejects, Relates, Relationship, RelationshipType, ReleaseRecordProxy, RemoteDebugManager, RemoteFileSystem, Repository, Requires, ResidesOn, ResolvesFrom, ResourcePool, RFCProxy, RMI_IIOP, Role, Room, Router, RouterComposite, Routes, RoutesTo, RoutesVia, Rule, RunDefinition, RunsOn, RuntimePermission, RuntimeProcess, SameAs, SametimeServer, SAPComponent, SAPSystem, SCAComponent, SCAEntryPoint, SCAModule, SchedulePolicy, Scope, ScopeElement, ScopeRestriction, SCSIInterface, SCSIProtocolController, SCSIVolume, Segment, Sensor, ServerAlias, ServerComposite, ServerProcess, Service, ServiceAccessPoint, ServiceDependency, ServiceGroup, ServiceProvider, Servlet, SessionBean, SimilarRule, SiteInfo, SLA, SLO, Slot, SMBExport, SMBFileSystem, SMBSAP, SMBService, SMSAdvertizements, SMSCollectionClients, SMSCollections, SMSHierarchy, SMSPackage, SMSProgram, SMSQuery, SMSReports, SMSResource, SMSServerProcess, SMSSiteBoundaries, SMSSiteComponents, SMSSiteServer, SMTPConfig, SMTPSAP, SMTPService, SNAProtocolEndpoint, SnmpAgentConfiguration, SnmpSystemGroup, SnmpTrapAgentConfiguration, SnmpTrapForwarderConfiguration, SoftwareComponent, SoftwareContainer, SoftwareFix, SoftwareImage, SoftwareInstallation, SoftwareModification, SoftwareModule, SoftwareModuleFunctionalGroup, SoftwarePatch, SoftwareProduct, SoftwareResource, SoftwareService, SoftwareUpdate, Solaris, SolarisFileSystem, SolarisKernelDriver, SolarisPackage, SolarisPatch, SolarisStorageVolume, SpecialityServer, SpecificIpViewConstruct, SPXProtocolEndpoint, SqlServer, SqlServerConfig, SqlServerDatabase, SqlServerModule, SqlServerProcess, SqlServerTable, SqlServerUser, SSLSettings, SSLSettings, StackScanAgentConfiguration, StandardizationRule, StandardizationRuleSet, StandardizationRuleSetMap, StatefulSessionBean, StatelessSessionBean, StaticContentModule, StorageAgentConfiguration, StorageCollection, StorageExtent, StoragePool, StorageSubSystem, StorageSubSystemZoneMember, StorageVolume, StoredOn, SunFireComputerSystem, SunSPARCUnitaryComputerSystem, SunSPARCVirtualComputerSystem, Supplier, Supports, SwitchComposite, SybaseConfigFile, SybaseConfigValue, SybaseDatabase, SybaseDevice, SybaseEngineProcess, SybaseModule, SybaseSegment, SybaseServer, SybaseServerProcess, SyncQuery, SyncSchedule, Sysplex, SysplexGroup, SystemBusCard, SystemController, SystemDependency, SystemMediaLocation, SystemPComputerSystem, SystemSpecificCollection, SystemTask, SystemTaskData, SystemTaskDataInstance, SystemTaskRuntime, SystemTaskRuntimeData, TapeDrive, TapeLibrary, TapeMediaChanger, Task, TaskData, TaskRuntime, TaskRuntimeData, TcpConnection, TcpPort, Template, TemplateGroup, TestDummy, TMSAgent, TomcatVirtualHosts, TopLevelPropagatorConfiguration, TransactionalDependency, Transition, Transport, TransportEndpoint, Tru64, Tru64KernelDriver, TWSAgent, TypeViewConstruct, UdpPort, UnitaryComputerSystem, UniversalDataAgentConfiguration, Unix, UnixFileSystem, UnixProcess, URL, UsedBy, UserData, UserDataAttributeMeta, UserDataMeta, UserDefinedValue, UserPreference, UserTask, UserTaskData, UserTaskRuntime, UserTaskRuntimeData, Uses, VCSCluster, VCSHADServer, VCSLocalServiceGroup, VCSResourceConfiguration, VCSServiceGroup, VCSSystem, VeritasClusterAgentConfiguration, VeritasClusterAttrMapping, VeritasClusterMapping, VeritasDiskGroup, VeritasPlex, VeritasStorageService, VeritasSubdisk, VeritasVMDisk, VeritasVolume, ViewConstruct, ViewDefinition, VIOS, Vip, VipFunction, VirtualComputerSystem, Virtualizes, VirtualService, Vlan, VlanInterface, VmwareESX, VmwareUnitaryComputerSystem, VPN, WebConfig, WebConnection, WebContainer, WebLogicAdminServer, WebLogicCluster, WebLogicConnection, WebLogicConnector, WebLogicConnectorModule, WebLogicDomain, WebLogicEJB, WebLogicEJBContainer, WebLogicEJBModule, WebLogicEntityEJB, WebLogicJ2EEApplication, WebLogicJDBCConnectionPool, WebLogicJDBCDataSource, WebLogicJDBCDriver, WebLogicJDBCMultiPool, WebLogicJDBCTxDataSource, WebLogicJMSConnectionFactory, WebLogicJMSDestination, WebLogicJMSFileStore, WebLogicJMSJDBCStore, WebLogicJMSQueue, WebLogicJMSServer, WebLogicJMSSessionPool, WebLogicJMSStore, WebLogicJMSTopic, WebLogicJTA, WebLogicMachine, WebLogicMessageEJB, WebLogicNodeManager, WebLogicPlugin, WebLogicServer, WebLogicServlet, WebLogicSessionEJB, WebLogicSSLSettings, WebLogicVirtualHost, WebLogicWebContainer, WebLogicWebModule, WebModule, WebModule, WebProxyServer, WebRetriever, WebServer, WebServerConfigDirective, WebService, WebSphereAgentConfiguration, WebSphereAuthMappingModule, WebSphereCell, WebSphereCluster, WebSphereClusterMember, WebSphereConfiguredConnection, WebSphereConnector, WebSphereConnectorModule, WebSphereCustomUserRegistry, WebSphereDeploymentManager, WebSphereEFixInfo, WebSphereEJB, WebSphereEJBContainer, WebSphereEJBModule, WebSphereGlobalSecuritySettings, WebSphereHTTPTransport, WebSphereJ2EEApplication, WebSphereJ2EEResource, WebSphereJ2EEResourceProperty, WebSphereJDBCConnectionPool, WebSphereJDBCDataSource, WebSphereJDBCProvider, WebSphereJMSDestination, WebSphereJMSProvider, WebSphereJMSQueue, WebSphereJMSServer, WebSphereJMSTopic, WebSphereJVMSettings, WebSphereLDAPUserRegistry, WebSphereLibraryRef, WebSphereMQJMSDestination, WebSphereMQJMSQueue, WebSphereMQJMSTopic, WebSphereNamedEndpoint, WebSphereNode, WebSphereNodeAgent, WebSphereProcessDefinition, WebSphereProcessMonitoringPolicy, WebSphereProperty, WebSphereServer, WebSphereServlet, WebSphereSessionTuningParams, WebSphereSharedLibrary, WebSphereSSLSettings, WebSphereTransactionService, WebSphereUserRegistry, WebSphereVariable, WebSphereVirtualHost, WebSphereWebContainer, WebSphereWebModule, WebStaticContentModule, WebVirtualHost, WebVirtualHostConfigDirective, WindowsComputerSystem, WindowsFileSystem, WindowsOperatingSystem, WindowsService, Workflow, WorkflowRuntime, WSEndpoint, WSOperation, WSPort, WSPortType, ZCouplingFacility, ZLinux, Zone, Zone, ZoneAlias, ZoneMember, ZoneSet, ZOS, ZReportFile, ZSeriesComputerSystem, ZVM, ZVMGuest

    public interface ModelObject

extends java.io.Serializable

A class implements the `ModelObject` interface to indicate that it is part of the Collation Object Model.
TODO : we need to define a unique identity for the object, i.e. a primary key E.g if a ModelObject representing a host is uniquely identified by it's IP address then the IP address property should be used as a unique key. This must be independent of possible implementations of the ModelObject

Method Summary
`int` | `getAdminState()` Returns the administrative state of the object
`java.util.Map` | `getAllAttributes()` Returns all attribute values in a Map.
`int` | `getBidiFlag()` Returns the Bidi flag of the object
`java.lang.String` | `getBidiFormat()` Returns the Bidi format of the object
`java.lang.String` | `getCDMSource()` Returns the source of object
`Guid` | `getCmdbSource()` Returns the domain source of object
`java.lang.String` | `getContextIp()` Returns the context in which the object was created.
`java.lang.String` | `getCreatedBy()` Returns a string identifying how the object was created
`java.lang.String` | `getDescription()` Returns a description of the object
`java.lang.String` | `getDisplayName()` Returns a name string suitable for display in a UI.
`byte[]` | `getExtendedAttributes()`
`Guid` | `getGuid()` Returns the primary Guid of the object
`java.lang.String` | `getLabel()` Returns the user defined label of the object
`java.lang.String` | `getLastModifiedBy()` Returns a string identifying how the object was last modified
`long` | `getLastModifiedTime()` Returns the last modified time
`java.lang.String` | `getObjectType()` Returns the type of object
`java.lang.String` | `getSourceToken()` Returns the source token of object
`boolean` | `hasAdminState()`
`boolean` | `hasBidiFlag()`
`boolean` | `hasBidiFormat()`
`boolean` | `hasCDMSource()`
`boolean` | `hasCmdbSource()`
`boolean` | `hasContextIp()`
`boolean` | `hasDescription()`
`boolean` | `hasDisplayName()`
`boolean` | `hasExtendedAttributes()`
`boolean` | `hasGuid()`
`boolean` | `hasLabel()`
`boolean` | `hasObjectType()`
`boolean` | `hasSourceToken()`
`void` | `setAdminState(int state)` Sets the administrative state of the object
`void` | `setBidiFlag(int bidiflag)` Sets the BiDi flag of the object
`void` | `setBidiFormat(java.lang.String bidiformat)` Sets the BiDi format of the object
`void` | `setCDMSource(java.lang.String source)` Sets the source of object
`void` | `setCmdbSource(Guid cmdbsource)` Sets the domain source of object
`void` | `setContextIp(java.lang.String ctx)` Sets the context in which the object was created.
`void` | `setDescription(java.lang.String description)` Sets a description of the object
`void` | `setExtendedAttributes(byte[] eAttribMap)`
`void` | `setGuid(Guid guid)` Set the primary Guid of the object
`void` | `setLabel(java.lang.String label)` Sets the user defined label of the object
`void` | `setObjectType(java.lang.String type)` Sets the type of object
`void` | `setSourceToken(java.lang.String sourceToken)` Sets the source token of object

Method Detail

### getGuid

    Guid getGuid()
                 throws AttributeNotSetException

  Returns the primary Guid of the object

  Returns:
    Guid
  Throws:
    `AttributeNotSetException`

### setGuid

    void setGuid(Guid guid)

  Set the primary Guid of the object

  Parameters:
    `guid` - Guid

### hasGuid

    boolean hasGuid()

### getDisplayName

    java.lang.String getDisplayName()
                                    throws AttributeNotSetException

  Returns a name string suitable for display in a UI.

  Returns:
    display name
  Throws:
    `AttributeNotSetException`

### hasDisplayName

    boolean hasDisplayName()

### getContextIp

    java.lang.String getContextIp()
                                  throws AttributeNotSetException

  Returns the context in which the object was created. Currently it's a String and should only hold an IP address.

  Returns:
    context
  Throws:
    `AttributeNotSetException`

### setContextIp

    void setContextIp(java.lang.String ctx)

  Sets the context in which the object was created. Currently it's a String and should only hold an IP address.

  Parameters:
    `context` - The Context

### hasContextIp

    boolean hasContextIp()

### getObjectType

    java.lang.String getObjectType()
                                   throws AttributeNotSetException

  Returns the type of object

  Returns:
    context
  Throws:
    `AttributeNotSetException`

### setObjectType

    void setObjectType(java.lang.String type)

  Sets the type of object

  Parameters:
    `type` - Object type

### hasObjectType

    boolean hasObjectType()

### getCDMSource

    java.lang.String getCDMSource()
                                  throws AttributeNotSetException

  Returns the source of object

  Returns:
    source
  Throws:
    `AttributeNotSetException`

### setCDMSource

    void setCDMSource(java.lang.String source)

  Sets the source of object

  Parameters:
    `type` - Object source

### hasCDMSource

    boolean hasCDMSource()

### getSourceToken

    java.lang.String getSourceToken()
                                    throws AttributeNotSetException

  Returns the source token of object

  Returns:
    sourceToken
  Throws:
    `AttributeNotSetException`

### setSourceToken

    void setSourceToken(java.lang.String sourceToken)

  Sets the source token of object

  Parameters:
    `type` - Object source

### hasSourceToken

    boolean hasSourceToken()

### getCmdbSource

    Guid getCmdbSource()
                       throws AttributeNotSetException

  Returns the domain source of object

  Returns:
    cmdbsource
  Throws:
    `AttributeNotSetException`

### setCmdbSource

    void setCmdbSource(Guid cmdbsource)

  Sets the domain source of object

  Parameters:
    `type` - Object cmdbsource

### hasCmdbSource

    boolean hasCmdbSource()

### getLabel

    java.lang.String getLabel()
                              throws AttributeNotSetException

  Returns the user defined label of the object

  Returns:
    label
  Throws:
    `AttributeNotSetException`

### setLabel

    void setLabel(java.lang.String label)

  Sets the user defined label of the object

  Parameters:
    `label` - Label

### hasLabel

    boolean hasLabel()

### getDescription

    java.lang.String getDescription()
                                    throws AttributeNotSetException

  Returns a description of the object

  Returns:
    description
  Throws:
    `AttributeNotSetException`

### setDescription

    void setDescription(java.lang.String description)

  Sets a description of the object

  Parameters:
    `description` - Description

### hasDescription

    boolean hasDescription()

### getAdminState

    int getAdminState()
                      throws AttributeNotSetException

  Returns the administrative state of the object

  Returns:
    state
  Throws:
    `AttributeNotSetException`

### setAdminState

    void setAdminState(int state)

  Sets the administrative state of the object

  Parameters:
    `state` - State

### hasAdminState

    boolean hasAdminState()

### getBidiFlag

    int getBidiFlag()
                    throws AttributeNotSetException

  Returns the Bidi flag of the object

  Returns:
    bidiflag
  Throws:
    `AttributeNotSetException`

### setBidiFlag

    void setBidiFlag(int bidiflag)

  Sets the BiDi flag of the object

  Parameters:
    `bidiflag` - BidiFlag

### hasBidiFlag

    boolean hasBidiFlag()

### getBidiFormat

    java.lang.String getBidiFormat()
                                   throws AttributeNotSetException

  Returns the Bidi format of the object

  Returns:
    bidiformat
  Throws:
    `AttributeNotSetException`

### setBidiFormat

    void setBidiFormat(java.lang.String bidiformat)

  Sets the BiDi format of the object

  Parameters:
    `bidiformat` - BidiFormat

### hasBidiFormat

    boolean hasBidiFormat()

### getAllAttributes

    java.util.Map getAllAttributes()

  Returns all attribute values in a Map. Any attribute that has not been loaded will not be returned.

  Returns:
    a Map of attribute name/value pairs.

### getCreatedBy

    java.lang.String getCreatedBy()
                                  throws AttributeNotSetException

  Returns a string identifying how the object was created

  Returns:
    createdBy string.
  Throws:
    `AttributeNotSetException` - if the attribute has not been loaded from persistent storage.

### getLastModifiedTime

    long getLastModifiedTime()
                             throws AttributeNotSetException

  Returns the last modified time

  Returns:
    Last modified time.
  Throws:
    `AttributeNotSetException` - if the attribute has not been loaded from persistent storage.

### getLastModifiedBy

    java.lang.String getLastModifiedBy()
                                       throws AttributeNotSetException

  Returns a string identifying how the object was last modified

  Returns:
    modifiedBy string.
  Throws:
    `AttributeNotSetException` - if the attribute has not been loaded from persistent storage.

### getExtendedAttributes

    byte[] getExtendedAttributes()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setExtendedAttributes

    void setExtendedAttributes(byte[] eAttribMap)

### hasExtendedAttributes

    boolean hasExtendedAttributes()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD